/* required styles */

.leaflet-pane,
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-tile-container,
.leaflet-pane > svg,
.leaflet-pane > canvas,
.leaflet-zoom-box,
.leaflet-image-layer,
.leaflet-layer {
	position: absolute;
	left: 0;
	top: 0;
	}
.leaflet-container {
	overflow: hidden;
	}
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow {
	-webkit-user-select: none;
	   -moz-user-select: none;
	        user-select: none;
	  -webkit-user-drag: none;
	}
/* Safari renders non-retina tile on retina better with this, but Chrome is worse */
.leaflet-safari .leaflet-tile {
	image-rendering: -webkit-optimize-contrast;
	}
/* hack that prevents hw layers "stretching" when loading new tiles */
.leaflet-safari .leaflet-tile-container {
	width: 1600px;
	height: 1600px;
	-webkit-transform-origin: 0 0;
	}
.leaflet-marker-icon,
.leaflet-marker-shadow {
	display: block;
	}
/* .leaflet-container svg: reset svg max-width decleration shipped in Joomla! (joomla.org) 3.x */
/* .leaflet-container img: map is broken in FF if you have max-width: 100% on tiles */
.leaflet-container .leaflet-overlay-pane svg,
.leaflet-container .leaflet-marker-pane img,
.leaflet-container .leaflet-shadow-pane img,
.leaflet-container .leaflet-tile-pane img,
.leaflet-container img.leaflet-image-layer,
.leaflet-container .leaflet-tile {
	max-width: none !important;
	max-height: none !important;
	}

.leaflet-container.leaflet-touch-zoom {
	-ms-touch-action: pan-x pan-y;
	touch-action: pan-x pan-y;
	}
.leaflet-container.leaflet-touch-drag {
	-ms-touch-action: pinch-zoom;
	/* Fallback for FF which doesn't support pinch-zoom */
	touch-action: none;
	touch-action: pinch-zoom;
}
.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
	-ms-touch-action: none;
	touch-action: none;
}
.leaflet-container {
	-webkit-tap-highlight-color: transparent;
}
.leaflet-container a {
	-webkit-tap-highlight-color: rgba(51, 181, 229, 0.4);
}
.leaflet-tile {
	filter: inherit;
	visibility: hidden;
	}
.leaflet-tile-loaded {
	visibility: inherit;
	}
.leaflet-zoom-box {
	width: 0;
	height: 0;
	-moz-box-sizing: border-box;
	     box-sizing: border-box;
	z-index: 800;
	}
/* workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=888319 */
.leaflet-overlay-pane svg {
	-moz-user-select: none;
	}

.leaflet-pane         { z-index: 400; }

.leaflet-tile-pane    { z-index: 200; }
.leaflet-overlay-pane { z-index: 400; }
.leaflet-shadow-pane  { z-index: 500; }
.leaflet-marker-pane  { z-index: 600; }
.leaflet-tooltip-pane   { z-index: 650; }
.leaflet-popup-pane   { z-index: 700; }

.leaflet-map-pane canvas { z-index: 100; }
.leaflet-map-pane svg    { z-index: 200; }

.leaflet-vml-shape {
	width: 1px;
	height: 1px;
	}
.lvml {
	behavior: url(#default#VML);
	display: inline-block;
	position: absolute;
	}


/* control positioning */

.leaflet-control {
	position: relative;
	z-index: 800;
	pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
	pointer-events: auto;
	}
.leaflet-top,
.leaflet-bottom {
	position: absolute;
	z-index: 1000;
	pointer-events: none;
	}
.leaflet-top {
	top: 0;
	}
.leaflet-right {
	right: 0;
	}
.leaflet-bottom {
	bottom: 0;
	}
.leaflet-left {
	left: 0;
	}
.leaflet-control {
	float: left;
	clear: both;
	}
.leaflet-right .leaflet-control {
	float: right;
	}
.leaflet-top .leaflet-control {
	margin-top: 10px;
	}
.leaflet-bottom .leaflet-control {
	margin-bottom: 10px;
	}
.leaflet-left .leaflet-control {
	margin-left: 10px;
	}
.leaflet-right .leaflet-control {
	margin-right: 10px;
	}


/* zoom and fade animations */

.leaflet-fade-anim .leaflet-tile {
	will-change: opacity;
	}
.leaflet-fade-anim .leaflet-popup {
	opacity: 0;
	-webkit-transition: opacity 0.2s linear;
	   -moz-transition: opacity 0.2s linear;
	        transition: opacity 0.2s linear;
	}
.leaflet-fade-anim .leaflet-map-pane .leaflet-popup {
	opacity: 1;
	}
.leaflet-zoom-animated {
	-webkit-transform-origin: 0 0;
	    -ms-transform-origin: 0 0;
	        transform-origin: 0 0;
	}
.leaflet-zoom-anim .leaflet-zoom-animated {
	will-change: transform;
	}
.leaflet-zoom-anim .leaflet-zoom-animated {
	-webkit-transition: -webkit-transform 0.25s cubic-bezier(0,0,0.25,1);
	   -moz-transition:    -moz-transform 0.25s cubic-bezier(0,0,0.25,1);
	        transition:         transform 0.25s cubic-bezier(0,0,0.25,1);
	}
.leaflet-zoom-anim .leaflet-tile,
.leaflet-pan-anim .leaflet-tile {
	-webkit-transition: none;
	   -moz-transition: none;
	        transition: none;
	}

.leaflet-zoom-anim .leaflet-zoom-hide {
	visibility: hidden;
	}


/* cursors */

.leaflet-interactive {
	cursor: pointer;
	}
.leaflet-grab {
	cursor: -webkit-grab;
	cursor:    -moz-grab;
	cursor:         grab;
	}
.leaflet-crosshair,
.leaflet-crosshair .leaflet-interactive {
	cursor: crosshair;
	}
.leaflet-popup-pane,
.leaflet-control {
	cursor: auto;
	}
.leaflet-dragging .leaflet-grab,
.leaflet-dragging .leaflet-grab .leaflet-interactive,
.leaflet-dragging .leaflet-marker-draggable {
	cursor: move;
	cursor: -webkit-grabbing;
	cursor:    -moz-grabbing;
	cursor:         grabbing;
	}

/* marker & overlays interactivity */
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-image-layer,
.leaflet-pane > svg path,
.leaflet-tile-container {
	pointer-events: none;
	}

.leaflet-marker-icon.leaflet-interactive,
.leaflet-image-layer.leaflet-interactive,
.leaflet-pane > svg path.leaflet-interactive {
	pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
	pointer-events: auto;
	}

/* visual tweaks */

.leaflet-container {
	background: #ddd;
	outline: 0;
	}
.leaflet-container a {
	color: #0078A8;
	}
.leaflet-container a.leaflet-active {
	outline: 2px solid orange;
	}
.leaflet-zoom-box {
	border: 2px dotted #38f;
	background: rgba(255,255,255,0.5);
	}


/* general typography */
.leaflet-container {
	font: 12px/1.5 "Helvetica Neue", Arial, Helvetica, sans-serif;
	}


/* general toolbar styles */

.leaflet-bar {
	box-shadow: 0 1px 5px rgba(0,0,0,0.65);
	border-radius: 4px;
	}
.leaflet-bar a,
.leaflet-bar a:hover {
	background-color: #fff;
	border-bottom: 1px solid #ccc;
	width: 26px;
	height: 26px;
	line-height: 26px;
	display: block;
	text-align: center;
	text-decoration: none;
	color: black;
	}
.leaflet-bar a,
.leaflet-control-layers-toggle {
	background-position: 50% 50%;
	background-repeat: no-repeat;
	display: block;
	}
.leaflet-bar a:hover {
	background-color: #f4f4f4;
	}
.leaflet-bar a:first-child {
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
	}
.leaflet-bar a:last-child {
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
	border-bottom: none;
	}
.leaflet-bar a.leaflet-disabled {
	cursor: default;
	background-color: #f4f4f4;
	color: #bbb;
	}

.leaflet-touch .leaflet-bar a {
	width: 30px;
	height: 30px;
	line-height: 30px;
	}
.leaflet-touch .leaflet-bar a:first-child {
	border-top-left-radius: 2px;
	border-top-right-radius: 2px;
	}
.leaflet-touch .leaflet-bar a:last-child {
	border-bottom-left-radius: 2px;
	border-bottom-right-radius: 2px;
	}

/* zoom control */

.leaflet-control-zoom-in,
.leaflet-control-zoom-out {
	font: bold 18px 'Lucida Console', Monaco, monospace;
	text-indent: 1px;
	}

.leaflet-touch .leaflet-control-zoom-in, .leaflet-touch .leaflet-control-zoom-out  {
	font-size: 22px;
	}


/* layers control */

.leaflet-control-layers {
	box-shadow: 0 1px 5px rgba(0,0,0,0.4);
	background: #fff;
	border-radius: 5px;
	}
.leaflet-control-layers-toggle {
	background-image: url(/static/umap/vendors/leaflet/images/layers.png?e66e0d5dd316);
	width: 36px;
	height: 36px;
	}
.leaflet-retina .leaflet-control-layers-toggle {
	background-image: url(/static/umap/vendors/leaflet/images/layers-2x.png?e66e0d5dd316);
	background-size: 26px 26px;
	}
.leaflet-touch .leaflet-control-layers-toggle {
	width: 44px;
	height: 44px;
	}
.leaflet-control-layers .leaflet-control-layers-list,
.leaflet-control-layers-expanded .leaflet-control-layers-toggle {
	display: none;
	}
.leaflet-control-layers-expanded .leaflet-control-layers-list {
	display: block;
	position: relative;
	}
.leaflet-control-layers-expanded {
	padding: 6px 10px 6px 6px;
	color: #333;
	background: #fff;
	}
.leaflet-control-layers-scrollbar {
	overflow-y: scroll;
	overflow-x: hidden;
	padding-right: 5px;
	}
.leaflet-control-layers-selector {
	margin-top: 2px;
	position: relative;
	top: 1px;
	}
.leaflet-control-layers label {
	display: block;
	}
.leaflet-control-layers-separator {
	height: 0;
	border-top: 1px solid #ddd;
	margin: 5px -10px 5px -6px;
	}

/* Default icon URLs */
.leaflet-default-icon-path {
	background-image: url(/static/umap/vendors/leaflet/images/marker-icon.png?e66e0d5dd316);
	}


/* attribution and scale controls */

.leaflet-container .leaflet-control-attribution {
	background: #fff;
	background: rgba(255, 255, 255, 0.7);
	margin: 0;
	}
.leaflet-control-attribution,
.leaflet-control-scale-line {
	padding: 0 5px;
	color: #333;
	}
.leaflet-control-attribution a {
	text-decoration: none;
	}
.leaflet-control-attribution a:hover {
	text-decoration: underline;
	}
.leaflet-container .leaflet-control-attribution,
.leaflet-container .leaflet-control-scale {
	font-size: 11px;
	}
.leaflet-left .leaflet-control-scale {
	margin-left: 5px;
	}
.leaflet-bottom .leaflet-control-scale {
	margin-bottom: 5px;
	}
.leaflet-control-scale-line {
	border: 2px solid #777;
	border-top: none;
	line-height: 1.1;
	padding: 2px 5px 1px;
	font-size: 11px;
	white-space: nowrap;
	overflow: hidden;
	-moz-box-sizing: border-box;
	     box-sizing: border-box;

	background: #fff;
	background: rgba(255, 255, 255, 0.5);
	}
.leaflet-control-scale-line:not(:first-child) {
	border-top: 2px solid #777;
	border-bottom: none;
	margin-top: -2px;
	}
.leaflet-control-scale-line:not(:first-child):not(:last-child) {
	border-bottom: 2px solid #777;
	}

.leaflet-touch .leaflet-control-attribution,
.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
	box-shadow: none;
	}
.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
	border: 2px solid rgba(0,0,0,0.2);
	background-clip: padding-box;
	}


/* popup */

.leaflet-popup {
	position: absolute;
	text-align: center;
	margin-bottom: 20px;
	}
.leaflet-popup-content-wrapper {
	padding: 1px;
	text-align: left;
	border-radius: 12px;
	}
.leaflet-popup-content {
	margin: 13px 19px;
	line-height: 1.4;
	}
.leaflet-popup-content p {
	margin: 18px 0;
	}
.leaflet-popup-tip-container {
	width: 40px;
	height: 20px;
	position: absolute;
	left: 50%;
	margin-left: -20px;
	overflow: hidden;
	pointer-events: none;
	}
.leaflet-popup-tip {
	width: 17px;
	height: 17px;
	padding: 1px;

	margin: -10px auto 0;

	-webkit-transform: rotate(45deg);
	   -moz-transform: rotate(45deg);
	    -ms-transform: rotate(45deg);
	        transform: rotate(45deg);
	}
.leaflet-popup-content-wrapper,
.leaflet-popup-tip {
	background: white;
	color: #333;
	box-shadow: 0 3px 14px rgba(0,0,0,0.4);
	}
.leaflet-container a.leaflet-popup-close-button {
	position: absolute;
	top: 0;
	right: 0;
	padding: 4px 4px 0 0;
	border: none;
	text-align: center;
	width: 18px;
	height: 14px;
	font: 16px/14px Tahoma, Verdana, sans-serif;
	color: #c3c3c3;
	text-decoration: none;
	font-weight: bold;
	background: transparent;
	}
.leaflet-container a.leaflet-popup-close-button:hover {
	color: #999;
	}
.leaflet-popup-scrolled {
	overflow: auto;
	border-bottom: 1px solid #ddd;
	border-top: 1px solid #ddd;
	}

.leaflet-oldie .leaflet-popup-content-wrapper {
	zoom: 1;
	}
.leaflet-oldie .leaflet-popup-tip {
	width: 24px;
	margin: 0 auto;

	-ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678)";
	filter: progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678);
	}
.leaflet-oldie .leaflet-popup-tip-container {
	margin-top: -1px;
	}

.leaflet-oldie .leaflet-control-zoom,
.leaflet-oldie .leaflet-control-layers,
.leaflet-oldie .leaflet-popup-content-wrapper,
.leaflet-oldie .leaflet-popup-tip {
	border: 1px solid #999;
	}


/* div icon */

.leaflet-div-icon {
	background: #fff;
	border: 1px solid #666;
	}


/* Tooltip */
/* Base styles for the element that has a tooltip */
.leaflet-tooltip {
	position: absolute;
	padding: 6px;
	background-color: #fff;
	border: 1px solid #fff;
	border-radius: 3px;
	color: #222;
	white-space: nowrap;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
	box-shadow: 0 1px 3px rgba(0,0,0,0.4);
	}
.leaflet-tooltip.leaflet-clickable {
	cursor: pointer;
	pointer-events: auto;
	}
.leaflet-tooltip-top:before,
.leaflet-tooltip-bottom:before,
.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
	position: absolute;
	pointer-events: none;
	border: 6px solid transparent;
	background: transparent;
	content: "";
	}

/* Directions */

.leaflet-tooltip-bottom {
	margin-top: 6px;
}
.leaflet-tooltip-top {
	margin-top: -6px;
}
.leaflet-tooltip-bottom:before,
.leaflet-tooltip-top:before {
	left: 50%;
	margin-left: -6px;
	}
.leaflet-tooltip-top:before {
	bottom: 0;
	margin-bottom: -12px;
	border-top-color: #fff;
	}
.leaflet-tooltip-bottom:before {
	top: 0;
	margin-top: -12px;
	margin-left: -6px;
	border-bottom-color: #fff;
	}
.leaflet-tooltip-left {
	margin-left: -6px;
}
.leaflet-tooltip-right {
	margin-left: 6px;
}
.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
	top: 50%;
	margin-top: -6px;
	}
.leaflet-tooltip-left:before {
	right: 0;
	margin-right: -12px;
	border-left-color: #fff;
	}
.leaflet-tooltip-right:before {
	left: 0;
	margin-left: -12px;
	border-right-color: #fff;
	}

.leaflet-cluster-anim .leaflet-marker-icon, .leaflet-cluster-anim .leaflet-marker-shadow {
	-webkit-transition: -webkit-transform 0.3s ease-out, opacity 0.3s ease-in;
	-moz-transition: -moz-transform 0.3s ease-out, opacity 0.3s ease-in;
	-o-transition: -o-transform 0.3s ease-out, opacity 0.3s ease-in;
	transition: transform 0.3s ease-out, opacity 0.3s ease-in;
}

.leaflet-cluster-spider-leg {
	/* stroke-dashoffset (duration and function) should match with leaflet-marker-icon transform in order to track it exactly */
	-webkit-transition: -webkit-stroke-dashoffset 0.3s ease-out, -webkit-stroke-opacity 0.3s ease-in;
	-moz-transition: -moz-stroke-dashoffset 0.3s ease-out, -moz-stroke-opacity 0.3s ease-in;
	-o-transition: -o-stroke-dashoffset 0.3s ease-out, -o-stroke-opacity 0.3s ease-in;
	transition: stroke-dashoffset 0.3s ease-out, stroke-opacity 0.3s ease-in;
}

.marker-cluster-small {
	background-color: rgba(181, 226, 140, 0.6);
	}
.marker-cluster-small div {
	background-color: rgba(110, 204, 57, 0.6);
	}

.marker-cluster-medium {
	background-color: rgba(241, 211, 87, 0.6);
	}
.marker-cluster-medium div {
	background-color: rgba(240, 194, 12, 0.6);
	}

.marker-cluster-large {
	background-color: rgba(253, 156, 115, 0.6);
	}
.marker-cluster-large div {
	background-color: rgba(241, 128, 23, 0.6);
	}

	/* IE 6-8 fallback colors */
.leaflet-oldie .marker-cluster-small {
	background-color: rgb(181, 226, 140);
	}
.leaflet-oldie .marker-cluster-small div {
	background-color: rgb(110, 204, 57);
	}

.leaflet-oldie .marker-cluster-medium {
	background-color: rgb(241, 211, 87);
	}
.leaflet-oldie .marker-cluster-medium div {
	background-color: rgb(240, 194, 12);
	}

.leaflet-oldie .marker-cluster-large {
	background-color: rgb(253, 156, 115);
	}
.leaflet-oldie .marker-cluster-large div {
	background-color: rgb(241, 128, 23);
}

.marker-cluster {
	background-clip: padding-box;
	border-radius: 20px;
	}
.marker-cluster div {
	width: 30px;
	height: 30px;
	margin-left: 5px;
	margin-top: 5px;

	text-align: center;
	border-radius: 15px;
	font: 12px "Helvetica Neue", Arial, Helvetica, sans-serif;
	}
.marker-cluster span {
	line-height: 30px;
	}
.leaflet-control-edit-in-osm-simple,
.leaflet-control-edit-in-osm {
    background: none repeat scroll 0 0 #F8F8F9;
    border: 1px solid #888888;
    border-radius: 5px 5px 5px 5px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.4);
}
.leaflet-control-edit-in-osm .leaflet-control-edit-in-osm-toggle {
    background-position: 50% 50%;
    background-repeat: no-repeat;
    height: 36px;
    width: 36px;
    display: block;
}
.leaflet-control-edit-in-osm .leaflet-control-edit-in-osm-toggle {
    background-image: url("/static/umap/vendors/editinosm/edit-in-osm.png");
}
.leaflet-control-edit-in-osm .osm-editor + .osm-editor {
    border-left: 1px solid black;
}
.leaflet-control-edit-in-osm-simple a.osm-editor,
.leaflet-control-edit-in-osm a.osm-editor {
    display: none;
    height: 36px;
    min-width: 36px;
    text-align: center;
    line-height: 36px;
    color: #333;
    padding: 0 5px;
    text-decoration: none;
    font-family: sans-serif;
}
.leaflet-control-edit-in-osm-simple a.osm-editor,
.leaflet-control-edit-in-osm:hover a.osm-editor {
    display: inline-block;
}
a.osm-editor:hover {
    box-shadow: 0 0 2px 0 black inset;
}
.leaflet-control-edit-in-osm:hover .leaflet-control-edit-in-osm-toggle {
    display: none;
}

.leaflet-control-edit-hidden {
    display: none;
}

.leaflet-control-minimap {
	border:solid rgba(255, 255, 255, 1.0) 4px;
	box-shadow: 0 1px 5px rgba(0,0,0,0.65);
	border-radius: 3px;
	background: #f8f8f9;
	transition: all .6s;
}

.leaflet-control-minimap a {
	background-color: rgba(255, 255, 255, 1.0);
	background-repeat: no-repeat;
	z-index: 99999;
	transition: all .6s;
}

.leaflet-control-minimap a.minimized-bottomright {
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
	border-radius: 0px;
}

.leaflet-control-minimap a.minimized-topleft {
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg);
	border-radius: 0px;
}

.leaflet-control-minimap a.minimized-bottomleft {
	-webkit-transform: rotate(270deg);
	transform: rotate(270deg);
	border-radius: 0px;
}

.leaflet-control-minimap a.minimized-topright {
	-webkit-transform: rotate(90deg);
	transform: rotate(90deg);
	border-radius: 0px;
}

.leaflet-control-minimap-toggle-display{
	background-image: url("/static/umap/vendors/minimap/images/toggle.svg?e66e0d5dd316");
	background-size: cover;
	position: absolute;
	border-radius: 3px 0px 0px 0px;
}

.leaflet-oldie .leaflet-control-minimap-toggle-display{
	background-image: url("/static/umap/vendors/minimap/images/toggle.png?e66e0d5dd316");
}

.leaflet-control-minimap-toggle-display-bottomright {
	bottom: 0;
	right: 0;
}

.leaflet-control-minimap-toggle-display-topleft{
	top: 0;
	left: 0;
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
}

.leaflet-control-minimap-toggle-display-bottomleft{
	bottom: 0;
	left: 0;
	-webkit-transform: rotate(90deg);
	transform: rotate(90deg);
}

.leaflet-control-minimap-toggle-display-topright{
	top: 0;
	right: 0;
	-webkit-transform: rotate(270deg);
	transform: rotate(270deg);
}

/* Old IE */
.leaflet-oldie .leaflet-control-minimap {
	border: 1px solid #999;
}

.leaflet-oldie .leaflet-control-minimap a {
	background-color: #fff;
}

.leaflet-oldie .leaflet-control-minimap a.minimized {
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);
}

.leaflet-contextmenu {
    display: none;
    box-shadow: 0 1px 7px rgba(0,0,0,0.4);
    -webkit-border-radius: 4px;
    border-radius: 4px;
    padding: 4px 0;
    background-color: #fff;
    cursor: default;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.leaflet-contextmenu a.leaflet-contextmenu-item {
    display: block;
    color: #222;
    font-size: 12px;
    line-height: 20px;
    text-decoration: none;
    padding: 0 12px;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    cursor: default;
    outline: none;
}

.leaflet-contextmenu a.leaflet-contextmenu-item-disabled {
    opacity: 0.5;
}

.leaflet-contextmenu a.leaflet-contextmenu-item.over {
    background-color: #f4f4f4;
    border-top: 1px solid #f0f0f0;
    border-bottom: 1px solid #f0f0f0;
}

.leaflet-contextmenu a.leaflet-contextmenu-item-disabled.over {
    background-color: inherit;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
}

.leaflet-contextmenu-icon {
    margin: 2px 8px 0 0;
    width: 16px;
    height: 16px;
    float: left;
    border: 0;
}

.leaflet-contextmenu-separator {
    border-bottom: 1px solid #ccc;
    margin: 5px 0;
}

.leaflet-toolbar-0{list-style:none;padding-left:0;box-shadow:0 1px 5px rgba(0,0,0,.65)}.leaflet-toolbar-0>li{position:relative}.leaflet-toolbar-0>li>.leaflet-toolbar-icon{display:block;width:26px;height:26px;line-height:26px;margin-right:0;padding-right:0;border-right:0;text-align:center;text-decoration:none;background-color:#fff}.leaflet-toolbar-0>li>.leaflet-toolbar-icon:hover{background-color:#f4f4f4}.leaflet-toolbar-0 .leaflet-toolbar-1{display:none;list-style:none}.leaflet-toolbar-tip-container{margin:0 auto;height:12px;position:relative;overflow:hidden}.leaflet-toolbar-tip{width:12px;height:12px;margin:-6px auto 0;background-color:#fff;box-shadow:0 1px 5px rgba(0,0,0,.65);-webkit-transform:rotate(45deg);-ms-transform:rotate(45deg);transform:rotate(45deg)}.leaflet-control-toolbar>li>.leaflet-toolbar-icon{border-bottom:1px solid #ccc}.leaflet-control-toolbar>li:first-child>.leaflet-toolbar-icon{border-top-left-radius:4px;border-top-right-radius:4px}.leaflet-control-toolbar>li:last-child>.leaflet-toolbar-icon{border-bottom-left-radius:4px;border-bottom-right-radius:4px;border-bottom-width:0}.leaflet-control-toolbar .leaflet-toolbar-1{margin:0;padding:0;position:absolute;left:26px;top:0;white-space:nowrap;height:26px}.leaflet-control-toolbar .leaflet-toolbar-1>li{display:inline-block}.leaflet-control-toolbar .leaflet-toolbar-1>li>.leaflet-toolbar-icon{display:block;background-color:#919187;border-left:1px solid #aaa;color:#fff;font:11px/19px "Helvetica Neue",Arial,Helvetica,sans-serif;line-height:26px;text-decoration:none;padding-left:10px;padding-right:10px;height:26px}.leaflet-control-toolbar .leaflet-toolbar-1>li>.leaflet-toolbar-icon:hover{background-color:#a0a098}.leaflet-popup-toolbar{position:relative}.leaflet-popup-toolbar>li{float:left}.leaflet-popup-toolbar>li:first-child>.leaflet-toolbar-icon{border-top-left-radius:4px;border-bottom-left-radius:4px}.leaflet-popup-toolbar>li:last-child>.leaflet-toolbar-icon{border-top-right-radius:4px;border-bottom-right-radius:4px;border-bottom-width:0}.leaflet-popup-toolbar .leaflet-toolbar-1{position:absolute;top:26px;left:0;padding-left:0}.leaflet-popup-toolbar .leaflet-toolbar-1>li>.leaflet-toolbar-icon{position:relative;float:left;width:26px;height:26px}
.leaflet-measure-control {
    background: none no-repeat scroll center center #F8F8F9;
    border-radius: 4px;
    border: 1px solid #bbb;
    box-shadow: none;
}
.leaflet-measure-control a {
    background-position: -1px -81px;
}
.leaflet-measure-edge {
    background: none repeat scroll 0 0 #2F4F4F;
    border-radius: 6px;
}
.leaflet-measure-toggle {
    display: inline-block;
    vertical-align: middle;
}
.leaflet-measure-control input:checked + label:before {
    content: '✓';
    padding-left: -2em;
}
.leaflet-measure-control input[type=radio] {
    display: none;
}
.leaflet-measure-control input[type=radio] + label {
    display: none;
    line-height: 36px;
    height: 36px;
    width: 36px;
    margin: 0;
    padding: 0;
    font-size: 12px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
}
.measure-enabled .leaflet-measure-control input[type=radio] + label {
    display: inline-block;
}

.leaflet-control-fullscreen a {
  background:#fff url(/static/umap/vendors/fullscreen/fullscreen.png?e66e0d5dd316) no-repeat 0 0;
  background-size:26px 52px;
  }
  .leaflet-touch .leaflet-control-fullscreen a {
    background-position: 2px 2px;
    }
  .leaflet-fullscreen-on .leaflet-control-fullscreen a {
    background-position:0 -26px;
    }
  .leaflet-touch.leaflet-fullscreen-on .leaflet-control-fullscreen a {
    background-position: 2px -24px;
    }

/* Do not combine these two rules; IE will break. */
.leaflet-container:-webkit-full-screen {
  width:100%!important;
  height:100%!important;
  }
.leaflet-container.leaflet-fullscreen-on {
  width:100%!important;
  height:100%!important;
  }

.leaflet-pseudo-fullscreen {
  position:fixed!important;
  width:100%!important;
  height:100%!important;
  top:0!important;
  left:0!important;
  z-index:99999;
  }

@media
  (-webkit-min-device-pixel-ratio:2),
  (min-resolution:192dpi) {
    .leaflet-control-fullscreen a {
      background-image:url(/static/umap/vendors/fullscreen/fullscreen@2x.png?e66e0d5dd316);
    }
  }

/* ************************************************* */
/* *********************** FONT ******************** */
/* ************************************************* */


@font-face {
    font-family: 'fira_sans';
    src: url('/static/umap/font/FiraSans-Light.woff2?e66e0d5dd316') format('woff2'),
         url('/static/umap/font/FiraSans-Light.woff?e66e0d5dd316') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'fira_sans';
    src: url('/static/umap/font/FiraSans-SemiBold.woff2?e66e0d5dd316') format('woff2'),
         url('/static/umap/font/FiraSans-SemiBold.woff?e66e0d5dd316') format('woff');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'fira_sans';
    src: url('/static/umap/font/FiraSans-LightItalic.woff2?e66e0d5dd316') format('woff2'),
         url('/static/umap/font/FiraSans-LightItalic.woff?e66e0d5dd316') format('woff');
    font-weight: normal;
    font-style: italic;
}



/*
* Generic
*/
body, div, ul, ol, li, a, section, nav,
h1, h2, h3, h4, h5, h6, label,
hr, input, textarea {
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "fira_sans", -apple-system, BlinkMacSystemFont,
    "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
}
body, div, ul, ol, li, a, section, nav,
h1, h2, h3, h4, h5, h6, label, hr {
    padding: 0;
}
a {
    text-decoration: none;
    color: SeaGreen;
}
hr {
    clear: both;
    width: 100%;
    height: 0;
    max-width: 980px;
    margin: 28px auto;
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #ddd;
    border-image: none;
    border-style: solid;
    border-width: 1px 0 0;
}
h1, h2 {
    margin-bottom: 28px;
}
h3, h4, h5 {
    margin-bottom: 14px;
}
p {
    line-height: 21px;
    margin-top: 14px;
    margin-bottom: 14px;
}

/*
* List
*/
ul {
    list-style-image:none;
    list-style-position:inside;
    list-style-type:none;
}

/* ************************************************* */
/* *********************** GRID ******************** */
/* ************************************************* */
.wrapper {
    width: 100%;
    clear: both;
}
.wrapper:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}
.row {
    width: 100%;
    max-width: 1200px;
    clear: both;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    margin-bottom: 2rem;
}
.col {
    float: left;
}
.right {
    float: right;
}
.col + .col {
    padding-left: 20px;
}
.half {
    width: 50%;
}
.third {
    width: 33.33%;
}
.two-third {
    width: 66.66%
}
.quarter {
    width: 25%;
}
.wide {
    width: 100%;
}
.col + .wide {
    padding-left: inherit;
}
.mshow, .tshow {
    display: none;
}
.center {
    margin-left: auto;
    margin-right: auto;
    float: none;
}


/* *********** */
/*    forms    */
/* *********** */
input[type="text"], input[type="password"], input[type="date"],
input[type="datetime"], input[type="email"], input[type="number"],
input[type="search"], input[type="tel"], input[type="time"],
input[type="url"], textarea {
    background-color: white;
    border: 1px solid #CCCCCC;
    border-radius: 2px 2px 2px 2px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
    color: rgba(0, 0, 0, 0.75);
    display: block;
    font-family: inherit;
    font-size: 14px;
    height: 32px;
    margin: 0 0 14px;
    padding: 7px;
    width: 100%;
}
input[type="range"] {
    margin-top: 10px;
    margin-bottom: 5px;
    width: 100%;
}
input[type="checkbox"] {
    margin: 0 5px;
    vertical-align: middle;
}
textarea {
    height: inherit;
    padding: 7px;
}
select {
    width: 100%;
    height: 28px;
    line-height: 28px;
    color: #efefef;
    border: 1px solid #222;
    background-color: #393F3F;
    margin-top: 5px;
}
select[multiple="multiple"] {
    height: auto;
}
.button, input[type="submit"] {
    display: block;
    margin-bottom: 14px;
    text-align: center;
    border-radius: 2px;
    font-weight: normal;
    cursor: pointer;
    padding: 7px;
    width: 100%;
    min-height: 32px;
    line-height: 32px;
    border: none;
    text-decoration: none;
}
.dark .button {
    background-color: #2a2e30;
    color: #eeeeec;
    border: 1px solid #1b1f20;
}
.dark .button:hover, .dark input[type="submit"]:hover {
    background-color: #2e3436;
}
.help-text, .helptext {
    display: block;
    padding: 7px 7px;
    margin-bottom: 14px;
    background: #393F3F;
    color: #ddd;
    font-size: 10px;
    border-radius: 0 2px;
}
input + .help-text {
    margin-top: -14px;
}
.formbox {
    min-height: 36px;
    line-height: 28px;
    margin-bottom: 14px;
}
.formbox.with-switch {
    padding-top: 2px;
}
.formbox select {
    width: calc(100% - 14px);
}
label {
    display: block;
    font-size: 12px;
    line-height: 21px;
    width: 100%;
}
input[type="checkbox"] + label {
    display: inline;
    padding: 0 14px;
}
select + .error,
input + .error {
    display: block;
    padding: 7px 7px;
    margin-top: -14px;
    margin-bottom: 14px;
    background: #ddd;
    color: #fff;
    background-color: #cc0000;
    font-size: 11px;
    border-radius: 0 2px;
}
input[type="file"] + .error {
    margin-top: 0;
}
.fieldset {
    border: 1px solid #222;
    margin-bottom: 5px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}
.fieldset .fields {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s linear;
    height: 0;
    overflow: hidden;
}
.fieldset.toggle.on .fields {
    visibility: visible;
    opacity: 1;
    height: initial;
    padding: 10px;
}
.fieldset.toggle .legend {
    text-align: center;
    display: block;
    cursor: pointer;
    background-color: #232729;
    height: 30px;
    line-height: 30px;
    color: #fff;
    margin: 0;
    font-family: fira_sans;
    font-weight: normal;
    font-size: 1.2em;
    padding: 0 5px;
}
/* Switch */
input.switch:empty {
    display: none;
}
input.switch:empty ~ label {
    white-space: nowrap;
    position: relative;
    float: left;
    line-height: 2em;
    height: 2em;
    text-indent: 6em;
    margin: 0.2em 0;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-shadow: 0 1px rgba(0, 0, 0, 0.1);
    width: 80px;
}
input.switch:empty ~ label:before,
input.switch:empty ~ label:after {
    position: absolute;
    display: block;
    top: 0;
    bottom: 0;
    left: 0;
    content: ' ';
    width: 6em;
    -webkit-transition: all 100ms ease-in;
    transition: all 100ms ease-in;
    color: #c9c9c7;
    font-weight: bold;
    background-color: #ededed;
}
.dark input.switch:empty ~ label:before,
.dark input.switch:empty ~ label:after {
    background-color: #272c2e;
}
input.switch:empty ~ label:after {
    width: 3em;
    margin-left: 0.1em;
    background-color: #ededed;
    content: "OFF";
    text-indent: 3.5em;
    border: 1px solid #374E75;
    font-weight: bold;
}
.dark input.switch:empty ~ label:after {
    border: 1px solid #202425;
    background-color: #2c3233;
}
input.switch:checked:empty ~ label:after {
    content: ' ';
}
.dark input.switch:checked ~ label:before,
input.switch:checked ~ label:before {
    background-color: #215d9c;
    content: "ON";
    text-indent: 0.7em;
    text-align: left;
    font-weight: bold;
}
input.switch:checked ~ label:after {
    margin-left: 3em;
}
.button-bar {
    margin-top: 5px;
    text-align: center;
    display: grid;
    grid-gap: 7px;
    width: 100%
}
.button-bar.half {
    grid-template-columns: 1fr 1fr;
}
.button-bar.third {
    grid-template-columns: 1fr 1fr 1fr;
}
.button-bar .button {
    display: inline-block;
}
.umap-multiplechoice input[type='radio'] {
    display: none;
}
.umap-multiplechoice label {
    border: 1px solid #374E75;
    cursor: pointer;
    background-color: #c9c9c7;
    height: 30px;
    line-height: 30px;
    text-align: center;
    width: calc(100% / 3);
    display: inline-block;
}
.umap-multiplechoice.by4 label {
    width: calc(100% / 4);
}
.dark .umap-multiplechoice label {
    border: 1px solid black;
    background-color: #2c3233;
}
.umap-multiplechoice input[type='radio']:checked + label {
    background-color: #215d9c;
    box-shadow: inset 0 0 6px 0px #2c3233;
    color: #ededed;
}
.inheritable .header,
.inheritable {
    clear: both;
    overflow: hidden;
}
.inheritable .header {
    margin-bottom: 5px;
}
.inheritable .header label {
    padding-top: 6px;
}
.inheritable + .inheritable {
    border-top: 1px solid #222;
    padding-top: 5px;
    margin-top: 5px;
}
.inheritable .define,
.inheritable .undefine {
    float: right;
    width: initial;
    min-height: 18px;
    line-height: 18px;
    margin-bottom: 0;
}
.inheritable .quick-actions {
    float: right;
}
.inheritable .quick-actions .formbox {
    margin-bottom: 0;
}
.inheritable .quick-actions input {
    width: 100px;
    margin-right: 5px;
}
.inheritable .define,
.inheritable.undefined .undefine,
.inheritable.undefined .show-on-defined {
    display: none;
}
.inheritable.undefined .define {
    display: block;
}
i.info {
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    background-position: -170px -50px;
    display: inline-block;
    margin-left: 5px;
    vertical-align: middle;
    width: 16px;
    height: 18px;
}
.dark i.info {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
}
.with-transition {
    /*transition: top .7s, right .7s, left .7s, width .7s, visibility .7s;*/
    transition: all .7s;
}

.umap-delete:before, .umap-empty:before, .umap-to-polygon:before,
.umap-clone:before, .umap-edit:before, .umap-download:before,
.umap-to-polyline:before {
    background-repeat: no-repeat;
    text-indent: 38px;
    height: 24px;
    line-height: 24px;
    display: inline-block;
    background-image: url('/static/umap/img/24.png?e66e0d5dd316');
    vertical-align: bottom;
    content: " ";
}
.dark .umap-delete:before, .dark .umap-empty:before,
.dark .umap-to-polygon:before,
.dark .umap-clone:before,
.dark .umap-edit:before, .dark .umap-download:before,
.dark .umap-to-polyline:before {
    background-image: url('/static/umap/img/24-white.png?e66e0d5dd316');
    vertical-align: middle;
}
.umap-to-polygon:before {
    background-position: -80px -48px;
}
.umap-to-polyline:before {
    background-position: -120px -48px;
}
.umap-clone:before {
    background-position: -160px -88px;
}
.umap-delete:before {
    background-position: -40px -8px;
}
.umap-edit:before {
    background-position: -6px -6px;
}
.umap-empty:before {
    background-position: -160px -126px;
}
.umap-download:before {
    background-position: -88px -168px;
}
.umap-edit-actions {
    padding-top: 5px;
    clear: both;
}
.umap-edit-actions li {
    height: 36px;
    line-height: 36px;
    cursor: pointer;
    margin-bottom: 5px;
    border-radius: 2px;
    border: 1px solid #222;
}
.umap-edit-actions li i {
    background-image: url('/static/umap/img/24-white.png?e66e0d5dd316');
    background-repeat: no-repeat;
    display: table-cell;
    width: 36px;
    height: 36px;
}
.umap-edit-actions li span {
    display: table-cell;
    vertical-align: middle;
}
.umap-edit-actions li:hover {
    background-color: #353c3e;
}
.umap-form-iconfield {
    position: relative;
    overflow: hidden;
    padding-bottom: 5px;
    padding-top: 5px;
    line-height: 30px;
}
.umap-icon-list, .umap-pictogram-list {
    clear: both;
}
.umap-icon-choice {
    display: block;
    float: left;
    width: 30px;
    height: 30px;
    line-height: 30px;
    position: relative;
    cursor: pointer;
    background-image: url('/static/umap/img/icon-bg.png?e66e0d5dd316');
    text-align: center;
    box-shadow: 0 0 4px 0 black inset;
    margin-bottom: 5px;
    margin-right: 5px;
}
.umap-icon-choice img {
    vertical-align: middle;
    max-width: 24px;
}
.umap-icon-choice:hover,
.umap-icon-choice.selected,
.umap-color-picker span:hover {
    box-shadow: 0 0 4px 0 black;
}
.umap-icon-choice .leaflet-marker-icon {
    bottom: 0;
    left: 30px;
    position: absolute;
}
.umap-color-picker {
    clear: both;
    margin-bottom: 20px;
    overflow: hidden;
    display: none;
}
.umap-color-picker span {
    width: 20px;
    height: 20px;
    display: block;
    padding: 0;
    margin: 0;
    cursor: pointer;
    float: left;
}
input.blur {
    width: calc(100% - 40px);
    display: inline-block;
    vertical-align: middle;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.blur + .button:before {
    content: '✔';
}
.blur + .button {
    width: 40px;
    height: 18px;
    display: inline-block;
    vertical-align: middle;
    line-height: 18px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    box-sizing: border-box;
}
input[type=hidden].blur + .button {
    display: none;
}

/* *********** */
/*    Panel    */
/* *********** */
.leaflet-ui-container {
    overflow-x: hidden;
}
#umap-ui-container {
    width: 400px;
    position: absolute;
    top: 0;
    bottom: 0;
    right: -400px;
    padding: 0 20px 40px 20px;
    border-left: 1px solid #ddd;
    overflow-x: auto;
    z-index: 1010;
    background-color: #fff;
    opacity: 0.98;
    cursor: initial;
}
#umap-ui-container.login-panel {
    position: fixed;  /* Should not scroll when used in content pages (like home page) */
    z-index: 1011;  /* Above a map panel if any */
}
#umap-ui-container.dark {
    border-left: 1px solid #222;
    background-color: #323737;
    color: #efefef;
}
#umap-ui-container.fullwidth {
    width: 100%;
    z-index: 10000;
    padding-left: 0;
    padding-right: 0;
    transition: all .7s;
}
.umap-edit-enabled #umap-ui-container {
    top: 46px;
}
.umap-caption-bar-enabled #umap-ui-container {
    bottom: 46px;
}
.umap-ui #umap-ui-container {
    right: 0;
}
.leaflet-top,
.leaflet-right {
    transition: all .7s;
}
.umap-ui .leaflet-right {
    right: 400px;
}
#umap-ui-container,
#umap-alert-container,
#umap-tooltip-container {
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
    box-sizing: border-box;
}
#umap-ui-container .umap-popup-content img {
    /* See https://github.com/Leaflet/Leaflet/commit/61d746818b99d362108545c151a27f09d60960ee#commitcomment-6061847 */
    max-width: 99% !important;
}
#umap-ui-container .umap-popup-content {
    max-height: inherit;
}
#umap-ui-container .body {
    clear: both;
    height: calc(100% - 46px); /* Minus size of toolbox */
}
#umap-ui-container .toolbox {
    padding: 5px 0;
    overflow: hidden;
}
#umap-ui-container .toolbox li {
    color: #2e3436;
    line-height: 32px;
    cursor: pointer;
    float: right;
    display: inline;
    padding: 0 7px;
    border: 1px solid #b6b6b3;
    border-radius: 2px;
}
#umap-ui-container.dark .toolbox li {
    color: #d3dfeb;
    border: 1px solid #202425;
}
#umap-ui-container .toolbox li:hover {
    color: #2e3436;
    background-color: #d4d4d2;
}
#umap-ui-container.dark .toolbox li:hover {
    color: #eeeeec;
    background-color: #353c3e;
}
#umap-ui-container .toolbox li + li {
    margin-right: 5px;
    margin-left: 5px;
}
.dark input, .dark textarea {
    background-color: #232729;
    border-color: #1b1f20;
    /*box-shadow: inset 0 0 0 1px #215d9c;*/
    color: #efefef;
}

/* *********** */
/*   Alerts    */
/* *********** */
#umap-alert-container {
    min-height: 46px;
    line-height: 46px;
    padding-left: 10px;
    width: calc(100% - 500px);
    position: absolute;
    top: -46px;
    left: 250px;  /* Keep save/cancel button accessible. */
    right: 250px;
    box-shadow: 0 1px 7px #999999;
    visibility: hidden;
    background: none repeat scroll 0 0 rgba(20, 22, 23, 0.8);
    font-weight: bold;
    color: #fff;
    font-size: 0.8em;
    z-index: 1002;
    border-radius: 2px;
}
#umap-alert-container.error {
    background-color: #c60f13;
}
.umap-alert #umap-alert-container {
    visibility: visible;
    top: 23px;
}
.umap-alert .umap-action {
    margin-left: 10px;
    background-color: #fff;
    color: #999;
    padding: 5px;
    border-radius: 4px;
}
.umap-alert .umap-action:hover {
    color: #000;
}
.umap-alert .error .umap-action {
    background-color: #666;
    color: #eee;
}
.umap-alert .error .umap-action:hover {
    color: #fff;
}

/* *********** */
/*   Tooltip   */
/* *********** */
#umap-tooltip-container {
    line-height: 20px;
    padding: 5px 10px;
    width: auto;
    position: absolute;
    box-shadow: 0 1px 7px #999999;
    display: none;
    background-color: rgba(40, 40, 40, 0.8);
    color: #eeeeec;
    font-size: 0.8em;
    border-radius: 2px;
    z-index: 1004;
    font-weight: normal;
    max-width: 300px;
}
.umap-tooltip #umap-tooltip-container {
    display: block;
}
#umap-tooltip-container.tooltip-top:after {
    top: 100%;
    left: calc(50% - 11px);
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-top-color: rgba(30, 30, 30, 0.8);
    border-width: 11px;
    margin-left: calc(-50% + 21px);
}
#umap-tooltip-container.tooltip.tooltip-left:after {
    left: 100%;
    top: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(136, 183, 213, 0);
    border-left-color: #333;
    border-width: 11px;
    margin-top: -10px;
}



/* *********** */
/* Close link  */
/* *********** */
.umap-close-icon {
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    background-position: -52px -13px;
    display: inline;
    padding: 0 10px;
    vertical-align: middle;
}
.dark .umap-close-icon {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
}
.dark .umap-close-link {
    border: 1px solid #202425;
    color: #eeeeec;
    padding: 0 7px;
    line-height: 32px;
    background-color: #323737;
}
.dark .umap-close-link:hover {
    background-color: #2e3436;
}
#umap-alert-container .umap-close-link {
    color: #fff;
    float: right;
    padding-right: 10px;
}
#umap-alert-container .umap-close-icon {
    background-position: -128px -93px;
}


/* *********** */
/*    Mobile   */
/* *********** */
@media all and (orientation:portrait) {
    .umap-ui #umap-ui-container {
        height: 50%;
        max-height: 400px;
        width: 100%;
        top: inherit!important;
        bottom: 0;
        right: 0;
        left: 0;
    }
    .umap-ui .leaflet-right {
        right: 0;
    }
    #umap-alert-container {
        width: 100%;
        left: 0;
        right: 0;
    }
}

/*
* Content
*/
body.content {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
}


/* Search form */
input::-webkit-input-placeholder, ::-webkit-input-placeholder {
   color: #a5a5a5;
}

input:-moz-placeholder, :-moz-placeholder {
   color: #a5a5a5;
}

#umap-ui-container textarea {
    height: 100px;
    margin-bottom: 14px;
}
#umap-ui-container select {
    margin-bottom: 10px;
}

#umap-ui-container.warning .button {
    background-color: #c60f13;
    border: 1px solid #7f0a0c;
}
#umap-ui-container.warning .button:hover {
    background-color: #970b0e;
}


/* **************** */
/*    Login icons   */
/* **************** */
.login-grid li,
.login-grid a {
    display: inline-block;
}

.login-grid a {
    border: 1px solid #e5e5e5;
    padding: 5px;
    color: #000;
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: 92px 92px;
    height: 92px;
    width: 92px;
    margin-right: 10px;
}
.login-grid .login-github {
    background-image: url("/static/umap/github.png?e66e0d5dd316");
}
.login-grid .login-bitbucket {
    background-image: url("/static/umap/bitbucket.png?e66e0d5dd316");
}
.login-grid .login-twitter {
    background-image: url("/static/umap/twitter.png?e66e0d5dd316");
}
.login-grid .login-openstreetmap {
    background-image: url("/static/umap/openstreetmap.png?e66e0d5dd316");
}


/* **************************** */
/*            home              */
/* **************************** */
.map_fragment {
    width: 100%;
}
.map_list .map_fragment,
.demo_map .map_fragment {
    height: 210px;
}
.map_list .legend {
    padding-top: 7px;
    margin-bottom: 28px;
    text-align: center;
    font-size: 1.2em;
}
.map_list .legend a {
    color: #222;
    font-weight: bold;
}
.map_list .legend em,
.map_list .legend em a {
    color: #444;
    font-weight: normal;
}
.map_list hr {
    display: none;
}
.map_list .wide + hr {
    display: block;
}
.umap-features-list ul {
    margin-top: 14px;
}
.umap-features-list li {
    line-height: 21px;
}
.umap-features-list li:before {
    content: "✔";
    color: #323E56;
    padding-right: 5px;
}
.summary {
    background-color: #eee;
}
.summary .row {
    margin-top: 0;
    padding-top: 20px;
}
.search_wrapper .row {
    margin-top: 0;
    padding-top: 20px;
}
.showcase-map {
    background-color: #fff;
    padding-bottom: 28px;
}
.showcase-map .row {
    margin-top: 28px;
}
h2.section {
    text-transform: uppercase;
    color: #666;
    text-align: center;
    padding-top: 28px;
}
.showcase-map .map_fragment {
    height: 400px;
}
.highlights {
    text-align: center;
}
.highlights img.colophon {
    display: inline-block;
    height: 128px;
}
.demo-instance-warning {
    background-color: #c0392b;
    color: #efefef;
    margin-top: 0;
    padding: 14px 0;
}
.demo-instance-warning .row {
    margin-top: 0;
}
.demo-instance-warning a {
    color: #efefef;
    text-decoration: underline;
}
body.content #umap-ui-container {
    background-color: #fff;
}


/* **************************** */
/*            colors            */
/* **************************** */

input[type="submit"],
.button {
    background-color: #79c1c0;
    color: #eeeeec;
}
.wrapper input[type="submit"]:hover {
    background-color: #689191;
}
.wrapper .neutral, .wrapper input[type="submit"].neutral {
    background-color: #ddd;
    color: #666;
}
.wrapper.somber {
    background-color: #2E3641;
    color: #efefef;
    padding-top: 20px;
    margin-top: 20px;
}
.wrapper.somber .row {
    margin-top: 0;
}
.wrapper .button,
.wrapper input {
    height: 56px;
    line-height: 43px;
}

/* **************************** */
/*             404              */
/* **************************** */
.content404 {
    width: 400px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 100px;
    text-align: center;
}
.content404 a {
    color: #3A4259;
}
.content404 h1 {
    font-size: 10em;
    margin-bottom: 0;
    line-height: 0.5em;
    margin-top: 40px;
}
.content404 h2 {
    font-size: 4em;
    margin-top: 0;
}
.content404 img {
    width: 32%;
}


/* **************************** */
/*         Autocomplete         */
/* **************************** */
ul.umap-autocomplete {
    position: absolute;
    background-color: white;
    z-index: 1010;
    box-shadow: 0 4px 9px #999999;
}
.umap-autocomplete li {
    height: 56px;
    line-height: 28px;
    padding: 14px;
}
.umap-autocomplete li.on {
    background-color: SeaGreen;
    cursor: pointer;
}
.umap-singleresult {
    margin-bottom: 10px;
}
.umap-singleresult div,
.umap-multiresult li {
    width: 100%;
    background-color: #2e3436;
    border-radius: 2px;
    border: 1px solid #202425;
    padding: 7px;
    color: #eeeeec;
}
.umap-multiresult li + li {
    margin-top: 7px;
}
.umap-singleresult div .close,
.umap-multiresult li .close {
    float: right;
    cursor: pointer;
}



/* **************************** */
/*   Override Leaflet.Storage   */
/* **************************** */
#id_editors + br + span.helptext {
    display: none;
}
.leaflet-container a.button {
    color: #eeeeec;
}

/* ************************************************* */
/* ********************* MOBILE ******************** */
/* ************************************************* */
@media only screen and (max-width:770px) {
    .row {
        padding-left: 5px;
        padding-right: 5px;
    }
    .twide {
        width: 100%;
        padding-left: 0!important;
    }
    .tthird {
        width: 33.3333%;
    }
    .ttwo-third {
        width: 66.6666%;
    }
    .tshow {
        display: inherit;
    }
    .thide {
        display: none;
    }
}
@media only screen and (max-width: 639px) {
    .mwide {
        padding-left: 0!important;
        width: 100%;
    }
    .mwide + .mwide {
        margin-top: 20px;
    }
    .mthird {
        width: 33.3333%;
    }
    .mshow {
        display: inherit;
    }
    .mhide {
        display: none;
    }
}

header {
    margin: 14px 0;
}

footer {
    height: 140px;
    margin-top: 40px;
    background-color: #2E3641;
    text-align: center;
    line-height: 140px;
    color: #8F96A3;
}
footer a.branding {
    background-image: url("/static/umap/img/logo_filigree.png?e66e0d5dd316");
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 60px auto;
    font-size: 30px;
    font-weight: bold;
    height: 140px;
    padding-left: 70px;
    color: #8F96A3;
    display: inline-block;
}

footer .i18n_switch {
    display: inline-block;
}


.umap-nav {
    display: flex;
    flex-direction: column;
}
.umap-nav a {
    color: #3A4259;
    padding: .4rem;
}
.umap-nav a:hover {
    text-decoration: underline;
}
.umap-nav h1 {
    margin-bottom: 0;
}
.umap-nav h1 a {
    background-image: url("/static/umap/img/logo.svg?e66e0d5dd316");
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 60px auto;
    line-height: 70px;
    padding-left: 80px;
    display: block;
    font-size: 2.5rem;
}
.umap-nav ul {
    text-align: center;
}
.umap-nav ul li {
    line-height: 2.5rem;
}
.umap-nav .button,
.umap-nav .button:hover {
    color: #fff;
    text-decoration: none;
    min-width: 150px;
}

@media only screen and (min-width: 500px) {
    .umap-nav ul li {
        display: inline-block;
    }
}
@media only screen and (min-width: 750px) {
    .umap-nav {
        flex-direction: row;
        justify-content: space-between;
        align-items: baseline;
    }
}

/* *********** */
/* Map details */
/* *********** */
#map {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}


/* *********** */
/* Controls    */
/* *********** */

.leaflet-control-zoom,
.umap-control {
    background: none no-repeat scroll center center #fff;
    border-radius: 4px;
    border: 1px solid #bbb;
}
.umap-control a:hover {
    background-color: #f4f4f4;
}
.leaflet-control-fullscreen a:hover,
.leaflet-control-fullscreen a {
    height: 36px;
    width: 36px;
    background-size: 36px 68px;
}
.leaflet-touch .leaflet-control-fullscreen a {
    height: 36px;
    width: 36px;
    background-position: 0px 0px;
}
.leaflet-touch.leaflet-fullscreen-on .leaflet-control-fullscreen a,
.leaflet-fullscreen-on .leaflet-control-fullscreen a {
    background-position: 0 -32px;
}
.leaflet-measure-control a,
.umap-control a {
    background-position: 50% 50%;
    background-repeat: no-repeat;
    display: block;
    height: 36px;
    width: 36px;
    line-height: 36px;
    background-image: url('/static/umap/img/24.png?e66e0d5dd316');
}
.leaflet-control.display-on-more,
a.umap-control-less {
    display: none;
}
.umap-control-more,
.umap-control-less {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
    background-position: -160px -210px;
}
.umap-more-controls .display-on-more,
.umap-more-controls .umap-control-less {
    display: block;
}
.umap-more-controls .umap-control-more {
    display: none;
}
.leaflet-control-embed a {
    background-position: -81px -121px;
}
.leaflet-control-tilelayers a {
    background-position: -82px -2px;
}
.leaflet-control-home a {
    background-position: -122px -82px;
}
.leaflet-control-locate a {
    background-position: -2px -122px;
}
.leaflet-control-search a {
    background-position: -41px -121px;
    display: block;
}
.leaflet-control-search a.loading {
    background-image: url('/static/umap/img/search.gif?e66e0d5dd316');
}
a.umap-control-text {
    float: right;
    margin: 0;
    width: 36px;
    height: 23px;
    line-height: 23px;
    border: 1px solid #444;
    border-radius: 2px;
    background-color: #666;
    color: #f8f8f8;
    text-align: center;
    font-size: 0.8em;
}
.leaflet-control-edit-enable a {
    background-image: url('/static/umap/img/24-white.png?e66e0d5dd316');
    background-position: -1px -1px;
    background-color: #353c3e;
}
.leaflet-control-toolbar .leaflet-toolbar-icon.dark:hover,
.leaflet-control-edit-enable a:hover {
    background-color: #4d5759;
}





/* ***************** */
/*    Search panel   */
/* ***************** */
ul.photon-autocomplete {
    position: absolute;
    background-color: white;
    z-index: 1000;
    display: none;
}
.photon-autocomplete li {
    min-height: 40px;
    line-height: 1em;
    padding: 5px 10px;
    overflow: hidden;
    white-space: nowrap;
    font-size: 1em;
    border-left: 4px solid #efefef;
}
.photon-autocomplete li strong {
    display: block;
}
.photon-autocomplete li.on {
    border-left: 4px solid #2980b9;
    cursor: pointer;
}
.photon-autocomplete li.photon-no-result {
    text-align: center;
    color: #666;
    font-size: 0.9em;
    line-height: 40px;
}
.photon-autocomplete .photon-feedback {
    display: block;
    text-align: right;
    font-size: 0.8em;
    padding: 3px;
    color: #999;
    border-top: 1px solid #eee;
}
.search-result-tools {
    float: right;
    display: block;
}



/* *********** */
/*    Draw     */
/* *********** */
.leaflet-drawing-icon,
.leaflet-editable-drawing {
    cursor: crosshair;
}
.leaflet-control-toolbar > li > .leaflet-toolbar-icon,
.umap-toolbar a,
.umap-toolbar a:hover {
    height: 40px;
    width: 40px;
    display: none;
    margin-top: 0;
    vertical-align: top;
    border-bottom: none;
    background-color: #323737;
    border-right: 1px solid #eee;
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/24.png?e66e0d5dd316');
    background-size: auto auto;
}
.leaflet-control-toolbar li .leaflet-toolbar-icon.dark {
    background-image: url('/static/umap/img/24-white.png?e66e0d5dd316');
}
.umap-toolbar {
    margin-top: 0;
}
.update-map-extent,
.leaflet-container .umap-toolbar .update-map-extent {
    background-position: 0 -40px;
}
.umap-toolbar .update-map-tilelayers,
.update-map-tilelayers {
    background-position: -80px 0;
}
.manage-datalayers {
    background-position: -40px -80px;
}
.umap-toolbar .update-map-permissions,
.update-map-permissions {
    background-position: -40px -40px;
}
.umap-toolbar .upload-data,
.upload-data {
    background-position: -160px 0;
}
.umap-toolbar .update-map-settings,
.update-map-settings {
    background-position: -120px 0;
}
.umap-draw-marker,
.umap-toolbar .umap-draw-marker {
    background-position: -160px -40px;
}
.umap-draw-polyline,
.umap-toolbar .umap-draw-polyline {
    background-position: -120px -40px;
}
.umap-draw-polyline-multi,
.umap-toolbar .umap-draw-polyline-multi {
    background-position: -42px -162px;
}
.umap-draw-polygon,
.umap-toolbar .umap-draw-polygon {
    background-position: -80px -40px;
}
.umap-draw-polygon-multi,
.umap-toolbar .umap-draw-polygon-multi {
    background-position: -2px -162px;
}
.umap-edit-enabled .leaflet-control-toolbar > li > .leaflet-toolbar-icon,
.umap-edit-enabled .umap-toolbar a {
    display: block;
}


/* ********************************* */
/*   Third party plugin override     */
/* ********************************* */

.leaflet-control-edit-in-osm .leaflet-control-edit-in-osm-toggle {
    background-image: url('/static/umap/img/24.png?e66e0d5dd316');
    background-position: -121px -121px;
}
.leaflet-measure-control,
.leaflet-control-edit-in-osm {
    border: 1px solid #bbb;
    border-radius: 4px;
    box-shadow: none;
}
.leaflet-measure-control a {
    background-position: -1px -81px;
}
.leaflet-control .leaflet-measure-toggle {
    display: inline-block;
    vertical-align: middle;
}


/* ********************************* */
/*     Help Lightbox                 */
/* ********************************* */
.umap-help-box {
    z-index: 10001;
    position: absolute;
    margin: 0 calc(50% - 500px/2);
    width: 500px;
    padding: 40px 20px;
    border: 1px solid #222;
    background-color: #323737;
    color: #efefef;
    font-size: 0.8em;
    visibility: hidden;
    top: -100%;
}
.umap-help-box .umap-close-link {
    float: right;
}
.umap-help-button {
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-left: 5px;
    background-position: -12px -12px;
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    vertical-align: middle;
}
.dark .umap-help-button {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
}
.umap-help-on .umap-help-box {
    visibility: visible;
    top: 100px;
}
.umap-help-entry + .umap-help-entry {
    margin-top: 10px;
    border-top: 1px solid #aaa;
    padding-top: 10px;
}


/* ********************************* */
/*   Edit main toolbox               */
/* ********************************* */

.leaflet-container a.leaflet-control-edit-save,
.leaflet-container a.leaflet-control-edit-cancel,
.leaflet-container a.leaflet-control-edit-disable {
    display: block;
    height: 36px;
    line-height: 36px;
    color: #efefef;
    border: none;
    font-size: 11px;
    margin-left: 10px;
    float: right;
}
.leaflet-container a.leaflet-control-edit-cancel,
.leaflet-container a.leaflet-control-edit-save {
    color: #f8f8f8;
    width: auto;
    height: 36px;
    line-height: 36px;
    min-height: 36px;
    padding: 0 10px;
    min-width: 100px;
}
.leaflet-container a.leaflet-control-edit-cancel {
    background-color: #C60F13;
}
.leaflet-container a.leaflet-control-edit-save {
    opacity: 0.5;
    cursor: not-allowed;
    background-color: #215d9c;
}
.umap-is-dirty a.leaflet-control-edit-save {
    opacity: 1;
    cursor: pointer;
}
.leaflet-container a.leaflet-control-edit-save,
.leaflet-container a.leaflet-control-edit-cancel,
.leaflet-container a.leaflet-control-edit-disable,
.umap-edit-enabled .leaflet-control-edit-enable {
    display: none;
}
.umap-edit-enabled a.leaflet-control-edit-save,
.umap-edit-enabled a.leaflet-control-edit-disable,
.umap-edit-enabled .umap-is-dirty a.leaflet-control-edit-cancel {
    display: inline-block;
}
.umap-is-dirty a.leaflet-control-edit-disable {
    display: none;
}
.umap-click-to-edit {
    color: #4a90d9;
    font-weight: bold;
}
.umap-click-to-edit:after {
    content: "\00a0";
    background-repeat: no-repeat;
    background-position: center center;
    cursor: pointer;
    width: 26px;
    height: 100%;
    display: inline-block;
    background-position: -82px -82px;
}
.umap-click-to-edit:hover:after {
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
}
.dark .umap-click-to-edit:hover:after {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
}
.umap-caption-bar {
    display: none;
}
.umap-main-edit-toolbox {
    top: -46px;
    position: absolute;
    width: 100%;
    left: 0;
    right: 0;
    height: 46px;
    background-color: #323737;
    padding: 5px;
    text-align: left;
    line-height: 36px;
    cursor: auto;
    border-bottom: 1px solid #222;
    z-index: 1000;
    opacity: 0.98;
    color: #efefef;
}
.umap-edit-enabled .umap-main-edit-toolbox {
    top: 0;
}
.umap-edit-enabled .umap-caption-bar {
    display: none;
}
.umap-caption-bar h3,
.umap-main-edit-toolbox h3 {
    display: inline;
}
.umap-edit-enabled .leaflet-top {
    top: 48px;
}
.umap-caption-bar-enabled .umap-caption-bar {
    display: block;
    height: 46px;
    background-color: #fff;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    right: 0;
    padding: 0 0 0 5px;
    text-align: left;
    line-height: 46px;
    cursor: auto;
    border-top: 1px solid #ddd;
    opacity: 0.93;
    z-index: 1000;
}
.umap-caption-bar-enabled .leaflet-bottom {
    bottom: 46px;
}
.umap-help {
    font-style: italic;
}
.umap-slideshow-toolbox {
    float: right;
    display: none;
}
.umap-slideshow-enabled .umap-slideshow-toolbox {
    display: inline-block;
}
.umap-slideshow-toolbox li {
    display: inline-block;
    cursor: pointer;
    font-size: 1.5em;
    background-color: #464646;
    color: #fff;
    height: 46px;
    width: 70px;
    line-height: 46px;
    vertical-align: middle;
    text-align: center;
}
.umap-slideshow-toolbox li + li {
    border-left: 1px solid #aaa;
}
.umap-slideshow-toolbox li:hover {
    background-color: #666;
}
.umap-slideshow-active .umap-slideshow-toolbox .play,
.umap-slideshow-toolbox .play {
    width: 100px;
    text-align: left;
    padding-left: 20px;
}
.umap-slideshow-toolbox .play:after {
    content: ' ▶';
}
.umap-slideshow-active .umap-slideshow-toolbox .play:after {
    content: ' ❚❚';
}
.umap-slideshow-toolbox .stop:before {
    content: '■';
}
.umap-slideshow-toolbox .next:before {
    content: '➡';
}
.umap-slideshow-toolbox .prev:before {
    content: '⬅';
}
.umap-slideshow-toolbox .play div {
    height: 20px;
    width: 20px;
    margin: 0px auto;
    position: relative;
    top: 5px;
    -webkit-animation: rotation 5s infinite linear;
    -moz-animation: rotation 5s infinite linear;
    -o-animation: rotation 5s infinite linear;
    animation: rotation 5s infinite linear;
    border-left: 3px solid rgba(255,255,239,.15);
    border-right: 3px solid rgba(255,255,255,.15);
    border-bottom: 3px solid rgba(255,255,255,.15);
    border-top: 3px solid rgba(255,255,255,.8);
    border-radius:100%;
    display: inline-block;
    visibility: hidden;
}
@-webkit-keyframes rotation {
    from {-webkit-transform: rotate(0deg);}
    to {-webkit-transform: rotate(359deg);}
}
@-moz-keyframes rotation {
    from {-moz-transform: rotate(0deg);}
    to {-moz-transform: rotate(359deg);}
}
@-o-keyframes rotation {
    from {-o-transform: rotate(0deg);}
    to {-o-transform: rotate(359deg);}
}
@keyframes rotation {
    from {transform: rotate(0deg);}
    to {transform: rotate(359deg);}
}
.umap-slideshow-active .umap-slideshow-toolbox .play .spinner {
    visibility: visible;
}
.umap-datalayer-version {
    padding: 5px 0;
    border-bottom: 1px solid #202425;
}
.umap-datalayer-version a {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-left: 5px;
    background-position: -209px -130px;
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
    vertical-align: middle;
    margin-right: 5px;
    border: 1px solid #202425;
    background-color: #2c3233;
}



/* ********************************* */
/*   Datalayers Control              */
/* ********************************* */

.leaflet-control-browse .umap-browse-toggle {
    background-image: url('/static/umap/img/24.png?e66e0d5dd316');
    width: 36px;
    height: 36px;
    background-position: -41px -81px;
}
.leaflet-control-browse .umap-browse-actions {
    background-color: #fff;
    padding: 10px;
    display: none;
    line-height: 24px;
    border-radius: 2px;
}
.leaflet-control-browse .umap-browse-datalayers {
    max-height: 10em;
    overflow-y: auto;
}
.search-result-tools i,
.leaflet-inplace-toolbar a,
.umap-browse-features i,
.umap-caption i,
.umap-browse-datalayers i {
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    display: inline;
    padding: 0 10px;
    cursor: pointer;
    height: 24px;
    line-height: 24px;
    vertical-align: middle;
}
.dark .umap-browse-datalayers i {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
}
.umap-browse-datalayers li[draggable] .drag-handle {
    float: right;
    background-position: -130px -130px;
    margin-right: 5px;
    cursor: move;
}
.leaflet-inplace-toolbar a {
    background-image: url('/static/umap/img/16-white.png?e66e0d5dd316');
    background-color: #323737!important;
}
.leaflet-toolbar-tip {
    background-color: #323737;
}
.leaflet-inplace-toolbar a:hover {
    background-color: #353c3e!important;
}
.leaflet-control-browse .umap-browse-datalayers .off i {
    cursor: inherit;
}
.layer-toggle {
    background-position: -90px -51px;
}
.off .layer-toggle {
    background-position: -130px -51px;
}
.feature-zoom_to {
    background-position: -10px -88px;
}
.layer-zoom_to {
    background-position: -10px -91px;
}
.layer-table-edit {
    background-position: -90px -10px;
}
.layer-delete {
    background-position: -209px -90px;
}
.feature-edit,
.layer-edit {
    background-position: -90px -89px;
}
.umap-toggle-edit {
    background-position: -85px -85px;
}
.off .layer-table-edit {
    background-position: -129px -10px;
}
.off .layer-edit {
    background-position: -90px -129px;
}
.off .layer-zoom_to {
    background-position: -50px -91px;
}
.off .layer-delete {
    background-position: -209px -208px;
}
.umap-new-hole {
    background-position: -125px -165px;
}
.umap-delete-all {
    background-position: -204px -85px;
}
.umap-delete-one-of-multi {
    background-position: -165px -125px;
}
.umap-delete-one-of-one {
    background-position: -204px -86px;
}
.umap-delete-vertex {
    background-position: -205px -165px;
}
.umap-continue-line {
    background-position: -165px -5px;
}
.umap-split-line {
    background-position: -205px -45px;
}
.umap-extract-shape-from-multi{
    background-position: -205px -5px;
}
.umap-browse-features .feature-title,
.leaflet-control-browse .umap-browse-actions .layer-title {
    width: inherit;
    cursor: inherit;
    padding-left: 6px;
}
.umap-browse-features .feature-title {
    font-size: 12px;
    cursor: pointer;
}
.leaflet-control-browse .umap-browse-actions .off .layer-title {
    color: rgb(179, 179, 179);
}
.leaflet-control-browse.expanded > a {
    display: none;
}
.leaflet-control-browse.expanded .umap-browse-actions {
    display: block;
}
.leaflet-control-browse a.umap-browse-link {
    background-image: none;
    background-color: rgb(68, 68, 68);
    color: white;
    display: block;
    height: 24px;
    line-height: 24px;
    margin-top: 14px;
    padding: 0 5px;
    text-align: right;
    min-width: 160px;
    width: 100%;
    border-radius: 2px;
}
a.add-datalayer:before,
.leaflet-control-browse a.umap-browse-link:before {
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    background-repeat: no-repeat;
    background-position: -92px -168px;
    width: 24px;
    height: 24px;
    content: " ";
    display: block;
    float: left;
}
a.add-datalayer:before {
    background-position: -45px -45px;
}
a.add-datalayer:hover,
.leaflet-control-browse a.umap-browse-link:hover {
    background-color: rgb(99, 99, 99);
}
.umap-browse-data .off .feature {
    display: none;
}


/* ********************************* */
/*   Features browser panel          */
/* ********************************* */

.umap-browse-features > div {
    border: 1px solid #d3d3d3;
    margin-bottom: 14px;
    border-radius: 2px;
}
.umap-browse-features h5 {
    height: 30px;
    line-height: 30px;
    background-color: #eeeee0;
    margin-bottom: 0;
    color: #666;
    overflow: hidden;
    padding-left: 5px;
}
.umap-browse-features h5 span {
    margin-left: 10px;
}
.umap-browse-features li {
    padding: 2px 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.umap-browse-features li:nth-child(even) {
    background-color: #f8f8f3;
}
.umap-browse-features .feature-color {
    box-shadow: 0 0 4px 0 black inset;
    background-size: 70% 70%;
    border: 4px solid #f8f8f3;
    cursor: inherit;
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
    box-sizing: border-box;
    background-position: center;
    display: inline-block;
    padding: 0;
    width: 24px;
}
.umap-browse-features .polygon .feature-color,
.umap-browse-features .polyline .feature-color {
    box-shadow: 0 0 4px 0 black inset;
    background-image: url('/static/umap/img/24.png?e66e0d5dd316');
    background-size: 500%;
}
.umap-browse-features .polyline .feature-color {
    background-position: -48px -16px;
}
.umap-browse-features .polygon .feature-color {
    background-position: -32px -16px;
}
.show-on-edit {
    display: none!important;
}
.umap-edit-enabled .show-on-edit {
    display: inline-block!important;
}
.umap-edit-enabled .show-on-edit.inline {
    display: inline!important;
}
.umap-edit-enabled .show-on-edit.block {
    display: block!important;
}

.umap-browse-description {
    font-size: 0.9em;
    margin-bottom: 14px;
}


/* ********************************* */
/*          Table Editor             */
/* ********************************* */
#umap-ui-container.umap-table-editor {
    padding-left: 0;
    padding-right: 0;
}
#umap-ui-container.umap-table-editor .toolbox li {
    float: left;
}

.umap-table-editor .umap-close-link {
    right: auto;
    left: 20px;
}
.umap-table-editor .table {
    display: table;
    width: 100%;
    white-space: nowrap;
    table-layout: fixed;
}
.umap-table-editor .tbody {
    display: table-row-group;
}
.umap-table-editor .thead,
.umap-table-editor .trow {
    display: table-row;
}
.umap-table-editor .tcell {
    display: table-cell;
    width: 200px;
}
.umap-table-editor .thead {
    text-align: center;
    height: 48px;
    line-height: 48px;
    background-color: #2c3133;
}
.umap-table-editor .thead .tcell {
    border-left: 1px solid #0b0c0c;
}
.umap-table-editor .tbody .trow input {
    margin: 0;
    border-right: none;
    display: inline;
}
.umap-table-editor .tbody .trow + .trow input {
    border-top: none;
}
.umap-table-editor .thead i {
    display: none;
    width: 50%;
    cursor: pointer;
    padding: 10px 0;
    height: 24px;
    line-height: 24px;
}
.umap-table-editor .thead i:before {
    width: 40px;
}
.umap-table-editor .thead .tcell:hover i {
    display: inline-block;
}
.umap-table-editor .thead .tcell i:hover {
    background-color: #33393b;
}
.umap-table-editor .thead .tcell:hover span {
    display: none;
}
.remotelayer .layer-table-edit {
    display: none !important;
}

/* ********************************* */
/*              Icons                */
/* ********************************* */
.umap-icon-16 {
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    display: inline;
    padding: 0 10px;
    vertical-align: middle;
}
.umap-add {
    background-position: -12px -49px;
}
.umap-list {
    background-position: -52px -168px;
}
.umap-list-white {
    background-position: -92px -168px;
}
.umap-caption {
    background-position: -170px -52px;
}

/* ********************************* */
/*      Tilelayer switcher           */
/* ********************************* */

.umap-tilelayer-switcher-container {
    margin-top: 10px;
}
.umap-tilelayer-switcher-container li {
    border: 1px solid rgb(116, 116, 116);
    border-radius: 4px 4px 4px 4px;
    margin-bottom: 14px;
    overflow: hidden;
    position: relative;
    width: 256px;
    cursor: pointer;
    height: 200px;
    margin-left: auto;
    margin-right: auto;
}
.umap-tilelayer-switcher-container li div {
    background-color: rgb(116, 116, 116);
    bottom: 0;
    color: rgb(247, 246, 241);
    height: 56px;
    line-height: 56px;
    opacity: 0.9;
    padding-left: 10px;
    position: absolute;
    width: 100%;
    text-align: center;
}
.umap-tilelayer-switcher-container li:hover div:before,
.umap-tilelayer-switcher-container .selected div:before {
    content: "✓";
    font-size: 1.3em;
    line-height: 56px;
    padding-right: 7px;
    position: absolute;
    left: 7px;
}
.umap-tilelayer-switcher-container li img {
    display: block;
    max-width: 100%;
}

/* ********************************* */
/*            Caption                */
/* ********************************* */
.datalayer-color {
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 10px;
    border: 1px solid #000;
    background-color: transparent;
    vertical-align: middle;
}


/* ********************************* */
/*           Popup                   */
/* ********************************* */
.umap-popup {
    display: flex;
    flex-flow: column nowrap;
    height:100%;
}

.umap-popup-footer {
    background-color: rgb(68, 68, 68);
    color: white;
    display: table;
    width: 100%;
    margin-top: auto;
    min-width: 99px;
    border-radius: 2px;
    max-height: 24px;
}
.umap-popup-footer li {
    line-height: 24px;
    height: 24px;
    display: table-cell;
    width: 33.3%;
    cursor: pointer;
    text-align: center;
}
.umap-popup-footer li:before {
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-left: 5px;
    background-repeat: no-repeat;
    background-image: url('/static/umap/img/16.png?e66e0d5dd316');
    vertical-align: middle;
    content: " ";
}
.umap-popup-footer li.zoom:before {
    background-position: -12px -170px;
}
.umap-popup-footer li.previous:before {
    background-position: -52px -130px;
}
.umap-popup-footer li.next:before {
    background-position: -12px -130px;
}


/* ************* */
/* Marker's Icon */
/* ************* */
.umap-div-icon .icon_container {
    background-color: white;
    border-radius: 4px 4px 4px 4px;
    height: 32px;
    width: 32px;
    box-shadow: 7px 10px 8px -5px black;
    opacity: 0.9;
    background-color: #2470b5;
    text-align: center;
    line-height: 32px;
}
.umap-div-icon .icon_container img {
    vertical-align: middle;
    max-width: 24px!important; /* leaflet.css has !important, so... */
}
.umap-div-icon .icon_arrow {
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid #2270b5;
    height: 0;
    left: 8px;
    position: relative;
    width: 0;
    opacity: 0.9;
    /*box-shadow: 4px 8px 6px -3px black;*/
}
.umap-drop-icon .icon_arrow {
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 16px solid #2270B5;
    height: 0;
    left: 6px;
    position: relative;
    top: -4px;
    width: 0;
}
.umap-drop-icon .icon_container {
    background-color: #2470B5;
    border-radius: 16px 16px 16px 16px;
    box-shadow: 6px 13px 8px -4px black;
    height: 32px;
    line-height: 32px;
    opacity: 0.9;
    text-align: center;
    width: 32px;
}
.umap-drop-icon .icon_container img {
    vertical-align: middle;
    max-width: 24px !important;
}
.umap-div-icon .icon_container span,
.umap-drop-icon .icon_container span {
    vertical-align: middle;
    color: white;
    font-weight: bold;
}
.umap-circle-icon {
    border: 1px solid white;
    border-radius: 10px 10px 10px 10px;
    height: 12px;
    width: 12px;
}
.umap-ball-icon .icon_container {
    background-color: darkblue;
    background: radial-gradient(circle at 6px 38% , white -4px, darkblue 8px) repeat scroll 0 0 transparent;
    border-radius: 8px 8px 8px 8px;
    box-shadow: 1px 21px 6px -3px black;
    height: 16px;
    opacity: 0.9;
    text-align: center;
    width: 16px;
}
.umap-ball-icon .icon_arrow {
    background-color: black;
    height: 16px;
    left: 7px;
    opacity: 0.9;
    position: relative;
    top: -1px;
    width: 2px;
}
.umap-edit-enabled .readonly {
    cursor: not-allowed;
}


/* ********************************* */
/*         Ajax loader               */
/* ********************************* */
.umap-loading .umap-loader
{
    display: block;
    -webkit-animation: shift-rightwards 3s ease-in-out infinite;
    -moz-animation: shift-rightwards 3s ease-in-out infinite;
    -ms-animation: shift-rightwards 3s ease-in-out infinite;
    -o-animation: shift-rightwards 3s ease-in-out infinite;
    animation: shift-rightwards 3s ease-in-out infinite;
    -webkit-animation-delay: .2s;
    -moz-animation-delay: .2s;
    -o-animation-delay: .2s;
    animation-delay: .2s;
}
.umap-loader
{
    position: absolute;
    display: none;
    top: 0;
    left: 0;
    right: 0;
    height: 4px;
    z-index: 10100;
    background-color: #79c1c0 !important;
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);
}


@-webkit-keyframes shift-rightwards
{
    0%
    {
        -webkit-transform:translateX(-100%);
        -moz-transform:translateX(-100%);
        -o-transform:translateX(-100%);
        transform:translateX(-100%);
    }

    40%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    60%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    100%
    {
        -webkit-transform:translateX(100%);
        -moz-transform:translateX(100%);
        -o-transform:translateX(100%);
        transform:translateX(100%);
    }

}
@-moz-keyframes shift-rightwards
{
    0%
    {
        -webkit-transform:translateX(-100%);
        -moz-transform:translateX(-100%);
        -o-transform:translateX(-100%);
        transform:translateX(-100%);
    }

    40%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    60%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    100%
    {
        -webkit-transform:translateX(100%);
        -moz-transform:translateX(100%);
        -o-transform:translateX(100%);
        transform:translateX(100%);
    }

}
@-o-keyframes shift-rightwards
{
    0%
    {
        -webkit-transform:translateX(-100%);
        -moz-transform:translateX(-100%);
        -o-transform:translateX(-100%);
        transform:translateX(-100%);
    }

    40%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    60%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    100%
    {
        -webkit-transform:translateX(100%);
        -moz-transform:translateX(100%);
        -o-transform:translateX(100%);
        transform:translateX(100%);
    }

}
@keyframes shift-rightwards
{
    0%
    {
        -webkit-transform:translateX(-100%);
        -moz-transform:translateX(-100%);
        -o-transform:translateX(-100%);
        transform:translateX(-100%);
    }

    40%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    60%
    {
        -webkit-transform:translateX(0%);
        -moz-transform:translateX(0%);
        -o-transform:translateX(0%);
        transform:translateX(0%);
    }

    100%
    {
        -webkit-transform:translateX(100%);
        -moz-transform:translateX(100%);
        -o-transform:translateX(100%);
        transform:translateX(100%);
    }
}

/* *************************** */
/* Overriding leaflet defaults */
/* *************************** */

.leaflet-control-zoom a, .leaflet-control-zoom a:hover {
    height: 36px;
    width: 36px;
    line-height: 36px;
}
.leaflet-container .leaflet-control-zoom {
    margin-left: 10px;
}
.leaflet-top {
    z-index: 1001;
}
.leaflet-popup-content {
    min-width: 100px;
    line-height: inherit;
}
.leaflet-popup-content-wrapper, .leaflet-popup-tip {
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.4);
}
.leaflet-popup-content-wrapper {
    border-radius: 4px;
}
.umap-popup-content {
    max-height: 500px;
    flex-grow: 1;
    overflow-y: auto;
    overflow-x: hidden;
    margin-bottom: 14px;
}
.umap-popup-content iframe {
    min-width: 300px;
}
.leaflet-popup-content h3 {
    margin-bottom: 0;
}
.leaflet-control-toolbar,
.leaflet-bar {
    box-shadow: none;
}
.marker-cluster {
    background-color: white;
    width: 40px;
    height: 40px;
}
.leaflet-contextmenu-icon {
    display: none;
}
.umap-popup-content img,
.umap-popup-content iframe {
    max-width: 300px !important;
}
.umap-popup-large iframe,
.umap-popup-large img {
    /* See https://github.com/Leaflet/Leaflet/commit/61d746818b99d362108545c151a27f09d60960ee#commitcomment-6061847 */
    max-width: 500px !important;
}
.umap-georss-link .popup-title {
    text-align: center;
}
.leaflet-inplace-toolbar {
  z-index: 10000!important;
}
.leaflet-touch .leaflet-control-layers, .leaflet-touch .leaflet-bar {
    border-width: 1px;
}
.leaflet-touch .leaflet-bar a {
    width: 36px;
    height: 36px;
    line-height: 36px;
}

/* ****** */
/* Mobile */
/* ****** */

@media all and (max-width: 480px) {

    .leaflet-control-layers-expanded label {
        display: inline-block;
        margin-right: 10px;
    }

    .leaflet-control-layers-expanded {
        margin-left: 10px;
    }
}

/* ****** */
/* Print  */
/* ****** */

@media print {

    .leaflet-control-container {
        display: none;
    }
}

/* Override this file for theming uMap easily */
